<?php
$title = 'Гостевая';

include_once '../sys/fnc.php';
include_once '../sys/head.php';
echo '<div class="head">Гостевая книга</div>

<div class="menu_link">Гостевая книга</div>
<div class="post0"> ';
$error = false;
$errort = '';

// Очищаем гостевую
if ($user->position == 'admin') {
if (isset($_GET['clean'])) {
	if (isset($_POST['ok'])) {
		mysql_query("TRUNCATE `guest`");
		header('Location: ?');
		exit;
	}
	echo '<div class="post">
	<form method="post">
	Вы уверены что хотите удалить все сообщения?<br>
	<input type="submit" name="ok" value="Да"> <a href="?">Нет</a>
	</form></div>';
}

if (isset($_GET['del']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `guest` WHERE `id` = '".intval($_GET['del'])."'"),0)==1)
{
mysql_query("DELETE FROM `guest` WHERE `id` = '". intval($_GET['del']) ."'");
header('Location: ?');
}
}



if (isset($_POST['add'])) {
	$msg = html($_POST['msg']);
	if (strlen($msg) < 1) {
		$error = true;
		$errort .= '<div class="err">Длина сообщения должна быть не менее 1-ого символа.</div>';
	} elseif (strlen($msg) > 3000) {
		$error = true;
		$errort .= '<div class="err">Длина сообщения должна быть не более 2000 символов.</div>';
	}
	if (!$error) {
		mysql_query("INSERT INTO `guest` (`id_user`, `msg`, `time`) values('". $user->id ."', '". $msg ."', '". time() ."')");

		if (isset($_POST['rid']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `id` = '".intval($_POST['rid'])."'"), 0)==1)
		{
		$reply_us = mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = '".intval($_POST['rid'])."'"));
		if ($reply_us['id'] != $user->id)mysql_query("INSERT INTO `mail` (`user`, `ank`, `msg`, `time`, `type`) values ('$reply_us[id]', '0', 'Вам ответил в гостевой ".$user->login." на Ваш комментарий', '".time()."', 'in')");
		}
		header('Location: ?');
		exit;
	}
}
echo $errort;

if (isset($user)) {
// Ответ на сообщение
if (isset($_GET['reply']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `id` = '".intval($_GET['reply'])."'"), 0)) {
$us_reply = mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = '".intval($_GET['reply'])."'"));
}

	echo 'Написать сообщение<br><form method="post" id="komm_form"><div class="post">';
	echo '<textarea name="msg">'.(isset($us_reply)?$us_reply['login'].", ":NULL).'</textarea><br>';
	if (isset($us_reply))echo "<input type='hidden' name='rid' value='$us_reply[id]'>\n";
	echo '<input value="Добавить" type="submit" name="add" />
	</form></div><hr>';
}

$c_p = mysql_result(mysql_query("SELECT COUNT(*) FROM `guest`"),0);
$p_page = '10';
$k_page = k_page($c_p, $p_page);
$page = page($k_page);
$start = $p_page*$page-$p_page;
if ($c_p == 0) {
	echo '<div class="err">
	Список пустой
	</div>';
}
$q = mysql_query("SELECT * FROM `guest` ORDER BY `time` DESC LIMIT $start, ". $p_page);
while ($post = mysql_fetch_assoc($q)) {
	$ank = mysql_fetch_assoc(mysql_query("SELECT * FROM `user` WHERE `id` = '". $post['id_user'] ."' LIMIT 1"));
	echo '<div class="menu"><img src="'. $ank['imguser'] .'"  width="32" height="32" alt=""> ';
	echo '<a href="/user'. $ank['id'] .'"> '. get_ank($ank['id']) .'</a> (<span class="c_date">'. ptime($post['time']) .'</span>)';
	echo '</div>';
	echo '<div class="post">';
	echo htmlspecialchars($post['msg']);
	if (isset($user)){
	echo '<br />';
	if ($user->position == 'admin')echo '<a href="?del='.$post['id'].'">Удалить</a> | ';
	echo "<a href='?reply=$ank[id]#komm_form'>Ответ</a>";
	}
	echo '</div><hr>';

}
if ($k_page > 1) str('?', $k_page, $page);
//
if ($c_p > 0 && $user->position == 'admin')echo '<div class="menu"><a href="/scripts/guest.php?clean">Очистить гостивую</a></div>';
include_once '../sys/foot.php';

?> $count = '<span class="count">'.$total.'</span>';
    file_put_contents(SERVER."/users/friends/user_$id.dat", $count, LOCK_EX);
    }
    return file_get_contents(SERVER."/users/friends/user_$id.dat");

}

// Подсчет добавлений в ленту

function feed($id) {

    if (@filemtime(SERVER."/users/feed/user_$id.dat") < time()-600) {
    $total = DB :: $dbh -> querySingle("SELECT count(*) FROM `feed_user` WHERE `profile`=?;", array($id));
    $count = '<span class="count">'.$total.'</span>';
    file_put_contents(SERVER."/users/feed/user_$id.dat", $count, LOCK_EX);
    }
    return file_get_contents(SERVER."/users/feed/user_$id.dat");

}

}
echo '</div></div></div>';
?>